Distribution:	CCux
Packager:  	Karsten Brockmann <brockmka@rz.fh-augsburg.de>

Summary:   	SQLite is a small C library that implements a self-contained, embeddable, zero-configuration SQL database engine. Features include: 
Name:      	sqlite
Version:   	3.6.1
Release:   	1
Requires:       tcl
BuildRequires:  tcl-devel
License: 	GNU/GPL
URL:		http://www.sqlite.org/	
Group:     	Databases
Source0: 	%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	glibc-devel
BuildRequires:  ncurses-devel
BuildRequires:  readline-devel
BuildRequires:  tcl


# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
SQLite is a small C library that implements a self-contained, embeddable, zero-configuration SQL database engine. Features include: 
Transactions are atomic, consistent, isolated, and durable (ACID) even after system crashes and power failures. 
Zero-configuration - no setup or administration needed.
Implements most of SQL92. (Features not supported)
A complete database is stored in a single disk file.
Database files can be freely shared between machines with different byte orders.
Supports databases up to 2 terabytes (241 bytes) in size.
Sizes of strings and BLOBs limited only by available memory.
Small code footprint: less than 30K lines of C code, less than 250KB code space (gcc on i486)
Faster than popular client/server database engines for most common operations.
Simple, easy to use API.
TCL bindings included. Bindings for many other languages  available separately.
Well-commented source code with over 95% test coverage.
Self-contained: no external dependencies.
Sources are in the public domain. Use for any purpose.
The SQLite distribution comes with a standalone command-line access program (sqlite) that can be used to administer an SQLite database and which serves as an example of how to use the SQLite library. 

%post
ldconfig

%postun
ldconfig

%package devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%prep
# check playload compression algorithm
# we need bz2 compression for compatibility reasons

if ( [ `grep -e "_source_payload" /usr/lib/rpm/macros | cut -f 2 -d "." ` == "lzdio" ] || [ `grep -e "_binary_payload" /usr/lib/rpm/macros | cut -f 2 -d "." ` == "lzdio" ]  ); then
        echo  "This package must be compressed with bz2, please adjust your /usr/lib/macro file accordingly ! "
        exit 1
fi
%setup -n %{name}-%{version}

%build
./configure --prefix=%{_prefix} --mandir=%{_mandir}
make

%install 
rm -rf $RPM_BUILD_ROOT 
make install DESTDIR="$RPM_BUILD_ROOT" 
cd $RPM_BUILD_ROOT%_libdir
ln -sf libsqlite3.so.0.8.6 $RPM_BUILD_ROOT%_libdir/libsqlite3.so
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
/usr/bin/sqlite3
/usr/lib/libsqlite3.so.*
/usr/lib/tcl8.5/sqlite3/libtclsqlite3.so
/usr/lib/tcl8.5/sqlite3/pkgIndex.tcl

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so
%_libdir/pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Aug 09 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.6.1-1
- Version Update
* Sat Jul 12 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.5.9-2
- rebuilt as bz2 compressed package
* Sat May 17 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.5.9-1
- Version Update
* Fri Mar 14 2008 Christian Metzen <metzench@ccux-linux.de> 3.5.6-1
- Version update
* Tue Apr 24 2007 Christian Metzen <metzench@ccux-linux.de> 3.3.16-1
- Version update
* Mon Jan 08 2007 Christian Metzen <metzench@ccux-linux.de> 3.3.9-1
- Version update
* Tue Oct 10 2006 Christian Metzen <metzench@ccux-linux.de> 3.3.8-1
- Version update
* Thu Sep 21 2006 Karsten Brockmann <arcam@ccux-linux.de> 3.3.7-1
- Version Update
* Sat Jul 15 2006 Karsten Brockmann <arcam@ccux-linux.de> 3.3.6-1
- Version Update
* Sun Feb 26 2006 Karsten Brockmann <arcam@ccux-linux.de> 3.3.4-1
- Version Update
* Thu Feb 02 2006 Karsten Brockmann <arcam@ccux-linux.de> 3.3.3-1
- Version Update
* Sun Dec 25 2005 Karsten Brockmann <arcam@ccux-linux.de> 3.2.8-1
- Version Update
* Sun Oct 02 2005 Christian Wasem <wasem@ccux-linux.de> 3.2.7-2
- added symlink
* Sun Sep 25 2005 Christian Metzen <metzench@ccux-linux.de> 3.2.7-1
- Version update
* Sun Sep 18 2005 Christian Metzen <metzench@ccux-linux.de> 3.2.6-1
- Version update
* Sun Aug 28 2005 Christian Metzen <metzench@ccux-linux.de> 3.2.5-1
- Version update
* Thu Aug 25 2005 Christian Metzen <metzench@ccux-linux.de> 3.2.4-1
- Version update
* Sat Jul 09 2005 Christian Metzen <metzench@ccux-linux.de> 3.2.2-2
- Tweaked specfile, splitted devel package
* Sat Jun 18 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 3.2.2-1
- Inital Release
